FROM python:3-buster

ENV PYTHONUNBUFFERED 1
ENV DJANGO_DB_NAME=cas
ENV DJANGO_DB_HOST=bdd-ovh.adm.auro.re
ENV DJANGO_DB_USER=cas
ENV DJANGO_HOST=cas.auro.re
ENV DJANGO_CAS_LDAP_SERVER=10.128.0.21
ENV DJANGO_CAS_LDAP_USER=cn=cas,ou=service-users,dc=auro,dc=re
ENV DJANGO_CAS_LDAP_BASE_DN=cn=Utilisateurs,dc=auro,dc=re

RUN mkdir /code
WORKDIR /code

COPY requirements.txt /code/
RUN pip install -r requirements.txt

COPY . /code/

ENTRYPOINT ["./entrypoint.sh"]
EXPOSE 8000
